TEST-UNEXPECTED-FAIL | test_ssl_disabled_error_page.py TestSSLDisabledErrorPage.test_ssl_disabled_error_page | AssertionError: False is not true

RESOLVED FIXED in Firefox 49

Status

Testing
Firefox UI Tests
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: whimboo, Assigned: whimboo)

Tracking

({intermittent-failure, regression})

49 Branch
mozilla49
intermittent-failure, regression
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox49 fixed)

Details

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

(Assignee)

Description

2 years ago
A new regression for our tests as introduced by the merge from m-c into inbound:

https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?changeset=49beae1792077eba5b790baa7d3c1a37ca3eb609

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=Firefox%20UI&filter-tier=2&filter-tier=3&fromchange=94033f5e655567162a397af1f48a3bf00e884421&selectedJob=28806006

 17:17:25     INFO - TEST-UNEXPECTED-FAIL | test_ssl_disabled_error_page.py TestSSLDisabledErrorPage.test_ssl_disabled_error_page | AssertionError: False is not true

 17:17:25     INFO - Traceback (most recent call last):

 17:17:25     INFO -   File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette/marionette_test.py", line 344, in run

 17:17:25     INFO -     testMethod()

 17:17:25     INFO -   File "/home/worker/workspace/build/tests/firefox-ui/tests/functional/security/test_ssl_disabled_error_page.py", line 43, in test_ssl_disabled_error_page

17:17:25 INFO - self.assertTrue(try_again_button.is_displayed())
(Assignee)

Comment 1

2 years ago
Actually it was the merge from fx-team:
https://hg.mozilla.org/mozilla-central/pushloghtml?changeset=b0096c5c727749ad3e79cbdf20d2e96bd179c213

Started to permfail with this changeset:
https://treeherder.mozilla.org/#/jobs?repo=fx-team&filter-searchStr=Firefox%20UI&filter-tier=2&filter-tier=3&fromchange=784c52abffb3e8ec4135b999369c23552a5239d9&selectedJob=9551956

Looks that bug 1273696 regressed it.
Assignee: nobody → hskupin
Blocks: 1273696
Status: NEW → ASSIGNED
(Assignee)

Comment 2

2 years ago
Created attachment 8757253 [details]
screenshot.png

When we run our tests there is no try again button. But when I do the steps locally I see it. Will dig into for investigation.
(Assignee)

Comment 3

2 years ago
Ok, so we should check the reset prefs button now. We can even do a click on it and verify that the page gets loaded correctly afterward. I will have a patch ready soon.
Hey Henry, Sorry I wasn't aware of this test.
The test should probably check for both instances as depending on a users preferences the code will hide the try button.
Let me know if you need more details!
*Henrik sorry!
(Assignee)

Comment 6

2 years ago
Created attachment 8757282 [details]
MozReview Request: Bug 1276175 - Check the new reset prefs button for a disabled SSL error page. r?maja_zf


If SSL related preferences have been changed the retry button is no longer shown.
Instead you see a button to reset the preferences, and which will reload the page.

Review commit: https://reviewboard.mozilla.org/r/55798/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/55798/
Attachment #8757282 - Flags: review?(mjzffr)
Comment on attachment 8757282 [details]
MozReview Request: Bug 1276175 - Check the new reset prefs button for a disabled SSL error page. r?maja_zf

https://reviewboard.mozilla.org/r/55798/#review52442
Attachment #8757282 - Flags: review?(mjzffr) → review+

Comment 8

2 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/0fe273ea18a7

Comment 9

2 years ago
67 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 51
* mozilla-central: 16

Platform breakdown:
* linux64: 56
* windows8-64: 2
* windows7-64: 2
* windowsxp: 1
* windows8-32: 1
* windows7-32: 1
* osx-10-9: 1
* osx-10-11: 1
* osx-10-10: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1276175&startday=2016-05-27&endday=2016-05-27&tree=all

Comment 10

2 years ago
128 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 100
* mozilla-central: 28

Platform breakdown:
* linux64: 108
* windows8-64: 3
* windows7-64: 3
* windowsxp: 2
* windows8-32: 2
* windows7-32: 2
* osx-10-9: 2
* osx-10-11: 2
* osx-10-10: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1276175&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 11

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/0fe273ea18a7
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
status-firefox49: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla49

Comment 12

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 14

Platform breakdown:
* linux64: 3
* windows8-64: 2
* windows7-64: 2
* windowsxp: 1
* windows8-32: 1
* windows7-32: 1
* osx-10-9: 1
* osx-10-11: 1
* osx-10-10: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1276175&startday=2016-05-30&endday=2016-06-05&tree=all
You need to log in before you can comment on or make changes to this bug.